/* This is the sigaction structure from the Linux 2.1.24 kernel.  */

#include <sgidefs.h>

#define HAVE_SA_RESTORER

typedef struct {
        unsigned int    __sigbits[4];
} kernel_sigset_t;


struct kernel_sigaction {
	unsigned int	sa_flags;
	__sighandler_t	sa_handler;
	kernel_sigset_t	sa_mask;

	/* Abi says here follows reserved int[2] */
	void		(*sa_restorer)(void);
#if (_MIPS_ISA == _MIPS_ISA_MIPS1) || (_MIPS_ISA == _MIPS_ISA_MIPS2)
	/*
	 * For 32 bit code we have to pad struct sigaction to get
	 * constant size for the ABI
	 */
	int		pad0[1];	/* reserved */
#endif
};
